Groovy 1.7.0

## org.codehaus.groovy.ast.expr
Class UnaryMinusExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.UnaryMinusExpression

    class UnaryMinusExpression
    extends Expression

author:
  sam

Constructor Summary
`UnaryMinusExpression(Expression expression)`

Method Summary
`Expression` | `getExpression()`
`String` | `getText()`
`ClassNode` | `getType()`
`boolean` | `isDynamic()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### UnaryMinusExpression

    public UnaryMinusExpression(Expression expression)

Method Detail

### getExpression

    public Expression getExpression()

### getText

    public String getText()

### getType

    public ClassNode getType()

### isDynamic

    public boolean isDynamic()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2009 The Codehaus. All rights reserved.